UserDataContainer File Reference
`#include <osg/Object>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | osg::UserDataContainer
class | osg::DefaultUserDataContainer

## Namespaces

namespace | osg

## Macros

#define | OSG_USERDATACONTAINER 1

## Functions

Object * | osg::getUserObject (osg::Object *object, const std::string &name)
const Object * | osg::getUserObject (const osg::Object *object, const std::string &name)

## Macro Definition Documentation

## OSG_USERDATACONTAINER

#define OSG_USERDATACONTAINER 1